<h1>{{title}}</h1>

<div class="example-container mat-elevation-z8">
  <mat-table #table [dataSource]="dataSource">


    <ng-container matColumnDef="albumId">
      <mat-header-cell *matHeaderCellDef> Albums </mat-header-cell>
      <mat-cell *matCellDef="let row"> {{row.albumId}} </mat-cell>
    </ng-container>



    <ng-container matColumnDef="id">
      <mat-header-cell *matHeaderCellDef> ID </mat-header-cell>
      <mat-cell *matCellDef="let row"> {{row.id}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="thumbnailUrl">
      <mat-header-cell *matHeaderCellDef> ThumbnailUrl </mat-header-cell>
      <mat-cell *matCellDef="let row"><img src="{{row.thumbnailUrl}}" style="width:46px">  </mat-cell>
    </ng-container>

    <ng-container matColumnDef="title">
      <mat-header-cell *matHeaderCellDef> Title </mat-header-cell>
      <mat-cell *matCellDef="let row"> {{row.title}} </mat-cell>
    </ng-container>


    <ng-container matColumnDef="url">
      <mat-header-cell *matHeaderCellDef> URL </mat-header-cell>
      <mat-cell *matCellDef="let row"><img src="{{row.url}}" style="width:46px"> </mat-cell>

    </ng-container>

    <ng-container matColumnDef="actionsColumn">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td mat-cell *matCellDef="let row;  let i = index;">
          <button mat-raised-button  color="warn" focusable="false" (click)="deleterow(i)">
              <i class="fa fa-times mat-icon"></i> Remove
            </button>
      </td>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumn"></mat-header-row>
    <mat-row *matRowDef="let row columns: displayedColumn;"></mat-row>
  </mat-table>

  <!-- <mat-paginator #paginator
                 [pageSize]="5"
                 [pageSizeOptions]="[5, 10, 20,500]">
  </mat-paginator> -->
  <mat-paginator [length]="5000"
              [pageSize]="5"
              [pageSizeOptions]="[5, 10, 25, 5000]">
</mat-paginator>
  <!-- <mat-paginator [pageSizeOptions]="[5, 10, 15,100]" showFirstLastButtons></mat-paginator> -->
</div>
